CLASS yddg_p_smq2 DEFINITION
  PUBLIC
  INHERITING FROM yddg__p_smq2
  FINAL
  CREATE PUBLIC .

  PUBLIC SECTION.
  PROTECTED SECTION.
  PRIVATE SECTION.
ENDCLASS.



CLASS yddg_p_smq2 IMPLEMENTATION.
ENDCLASS.
